#!/bin/bash
######################################################################
#
# [処理概要]
#  ArubaのAP毎の接続クライアント数をSNMPを使用してカウントする
#  
#
# [引数]
#  1 : 仮想コントーラのIPアドレス
#  2 : SNMPCOMMUNITY
#  3 : APを特定するためのSNMPINDEX
#
######################################################################
######################################################################
# バージョン 作成／更新者 更新日      変更内容
#---------------------------------------------------------------------
# 001-01     Remi papa   2020/09/15  新規作成
######################################################################
######################################################################
# 事前処理
######################################################################
#---------------------------------------------------------------------
# 変数定義
#---------------------------------------------------------------------
VWCIP=$1
SNMP_COMMUNYTY=$2
SNMPINDEX=$3
MIBID_APIP=".1.3.6.1.4.1.14823.2.3.3.1.2.1.1.3.$3"
MIBID_CLIENTAPIP=".1.3.6.1.4.1.14823.2.3.3.1.2.4.1.4"

# SNMPで対象のAPのIPアドレスを取得する
APIP=`snmpwalk -v 2c -On -c $SNMP_COMMUNYTY $VWCIP $MIBID_APIP | awk -F':' '{print $2}' | tr -d ' '`

# SNMPで各クライアントが接続しているAPのIPアドレスを取得し、対象のIPの件数をカウントした結果を出力する
snmpwalk -v 2c -On -c $SNMP_COMMUNYTY $VWCIP $MIBID_CLIENTAPIP | grep $APIP | wc -l
